Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022881
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2013-01-24 11:162013-03-02 05:48
ReporterVictorVillarView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision65a7f0584de6
ProjectionnoneETAnoneTarget Version3.0MP22
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022881: Wrong definition of the alert 'Wrong Matched Invoice posting. Wrong currency conversion.'

DescriptionWrong definition of the alert 'Wrong Matched Invoice posting. Wrong currency conversion.'
Steps To ReproduceAs GRoup Admin role,
Go to Goods Receipt
    Create a new register for Alimentos y Supermercados
  Lines tab:
     Product: Vino Tinto
     Qty: 10
Complete it and post it

Go to Purchase Invoice
   Create a new register for Alimentos y Supermercados
Click on 'Create Lines From' and select the one proposed
Edit the line inserted, and change the qty to: 5
     Net unit price: 200
Complete it and post it.

Go to Product window || Accounting Tab:
    Fill the INvoice PRice Variance for both Accounting Schemas (US and EU)

Go to Matched invoice window
   Select the register associated for the Invoice and Receipt created before
Post the Matched Invoice document.

Launch the Alert Process background and check that always appears the matched invoice created before for 'Wrong Matched Invoice posting. Wrong currency conversion.' Alert.

The definition of the alert is wrong becasue it is not taking into account that you can invoice less qty than receipt and the sum of the credit/debit for the matched invoice in the fact acct always will be different as the sum of the credit/debit for the invoice qty.
Proposed SolutionIn the fact_acct table there is a qty column that it could be useful in order to be aware of these cases.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00216403.0MP16 closedgorkaion Wrong MatchInvoice posting when invoice is in foreign currency 
related to defect 00236173.0MP24 closedSandrahuguet Static alert rule query definition needs to be corrected too 

-  Notes
(0056639)
hgbot (developer)
2013-02-20 15:59

Repository: erp/devel/pi
Changeset: 65a7f0584de6687c82db760e5077569de7807517
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Feb 20 15:57:22 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/65a7f0584de6687c82db760e5077569de7807517 [^]

Fixes issue 22881: Wrong definition of the alert
'Wrong Matched Invoice posting. Wrong currency conversion.'

---
M referencedata/sampledata/F_B_International_Group.xml
---
(0056697)
hudsonbot (developer)
2013-02-21 17:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2add4de9509d [^]

Maturity status: Test
(0056762)
VictorVillar (developer)
2013-02-26 10:04

It would be necessary to fix the query in the module script Issue21640WrongMatchInvAccounting too, please see the issue 21640 related [1]

[1] https://issues.openbravo.com/view.php?id=21640 [^]
(0056793)
hgbot (developer)
2013-02-26 23:13

Repository: erp/devel/pi
Changeset: f6907c2d08fb9154b2a15fc6b4dd1e17949151ee
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Feb 26 23:13:02 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f6907c2d08fb9154b2a15fc6b4dd1e17949151ee [^]

issue 22881: Wrong definition of the alert
'Wrong Matched Invoice posting. Wrong currency conversion.'

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/Issue21640WrongMatchInvAccountingData.class
M src-util/modulescript/src/org/openbravo/modulescript/Issue21640WrongMatchInvAccounting_data.xsql
---
(0056870)
VictorVillar (developer)
2013-03-01 00:45

Verified
(0056919)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-24 11:16 VictorVillar New Issue
2013-01-24 11:16 VictorVillar Assigned To => dmiguelez
2013-01-24 11:16 VictorVillar Modules => Core
2013-01-24 11:16 VictorVillar Triggers an Emergency Pack => No
2013-01-24 11:17 VictorVillar Relationship added depends on 0021640
2013-01-24 11:17 VictorVillar Issue Monitored: networkb
2013-01-24 19:34 jonalegriaesarte Assigned To dmiguelez => jonalegriaesarte
2013-01-24 19:34 jonalegriaesarte Target Version 3.0MP20 => 3.0MP22
2013-02-13 18:28 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2013-02-20 15:59 hgbot Checkin
2013-02-20 15:59 hgbot Note Added: 0056639
2013-02-20 15:59 hgbot Status new => resolved
2013-02-20 15:59 hgbot Resolution open => fixed
2013-02-20 15:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/65a7f0584de6687c82db760e5077569de7807517 [^]
2013-02-21 17:48 hudsonbot Checkin
2013-02-21 17:48 hudsonbot Note Added: 0056697
2013-02-26 10:04 VictorVillar Note Added: 0056762
2013-02-26 23:13 hgbot Checkin
2013-02-26 23:13 hgbot Note Added: 0056793
2013-03-01 00:45 VictorVillar Review Assigned To => VictorVillar
2013-03-01 00:45 VictorVillar Note Added: 0056870
2013-03-01 00:45 VictorVillar Status resolved => closed
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056919
2013-04-23 13:40 maite Relationship added related to 0023617


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker